org.apache.flume.channel.file.proto

## Class ProtosFactory.Commit.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<ProtosFactory.Commit.Builder>
      - - org.apache.flume.channel.file.proto.ProtosFactory.Commit.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, ProtosFactory.CommitOrBuilder
  Enclosing class:
    ProtosFactory.Commit

      public static final class ProtosFactory.Commit.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<ProtosFactory.Commit.Builder>
      implements ProtosFactory.CommitOrBuilder

  Protobuf type `Commit`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProtosFactory.Commit` | `build()`
    `ProtosFactory.Commit` | `buildPartial()`
    `ProtosFactory.Commit.Builder` | `clear()`
    `ProtosFactory.Commit.Builder` | `clearType()` `required sfixed32 type = 1;`
    `ProtosFactory.Commit.Builder` | `clone()`
    `ProtosFactory.Commit` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `int` | `getType()` `required sfixed32 type = 1;`
    `boolean` | `hasType()` `required sfixed32 type = 1;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `ProtosFactory.Commit.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `ProtosFactory.Commit.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `ProtosFactory.Commit.Builder` | `mergeFrom(ProtosFactory.Commit other)`
    `ProtosFactory.Commit.Builder` | `setType(int value)` `required sfixed32 type = 1;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<ProtosFactory.Commit.Builder>`

    - #### clear

          public ProtosFactory.Commit.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<ProtosFactory.Commit.Builder>`

    - #### clone

          public ProtosFactory.Commit.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<ProtosFactory.Commit.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<ProtosFactory.Commit.Builder>`

    - #### getDefaultInstanceForType

          public ProtosFactory.Commit getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public ProtosFactory.Commit build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public ProtosFactory.Commit buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public ProtosFactory.Commit.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ProtosFactory.Commit.Builder>`

    - #### mergeFrom

          public ProtosFactory.Commit.Builder mergeFrom(ProtosFactory.Commit other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<ProtosFactory.Commit.Builder>`

    - #### mergeFrom

          public ProtosFactory.Commit.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ProtosFactory.Commit.Builder>`
      Throws:
        `IOException`

    - #### hasType

          public boolean hasType()

      `required sfixed32 type = 1;`
      Specified by:
        `hasType` in interface `ProtosFactory.CommitOrBuilder`

    - #### getType

          public int getType()

      `required sfixed32 type = 1;`
      Specified by:
        `getType` in interface `ProtosFactory.CommitOrBuilder`

    - #### setType

          public ProtosFactory.Commit.Builder setType(int value)

      `required sfixed32 type = 1;`

    - #### clearType

          public ProtosFactory.Commit.Builder clearType()

      `required sfixed32 type = 1;`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.